org.apache.lucene.search

## Class FuzzyQuery.ScoreTermQueue

- java.lang.Object
- - org.apache.lucene.util.PriorityQueue
  - - org.apache.lucene.search.FuzzyQuery.ScoreTermQueue

- Enclosing class:
    FuzzyQuery

      protected static class FuzzyQuery.ScoreTermQueue
      extends PriorityQueue

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.PriorityQueue

      `heap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScoreTermQueue(int size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `lessThan(java.lang.Object a, java.lang.Object b)` Determines the ordering of objects in this priority queue.

    - ### Methods inherited from class org.apache.lucene.util.PriorityQueue

      `add, adjustTop, clear, getSentinelObject, initialize, insert, insertWithOverflow, pop, put, size, top, updateTop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScoreTermQueue

          public ScoreTermQueue(int size)

  - ### Method Detail

    - #### lessThan

          protected boolean lessThan(java.lang.Object a,
                                     java.lang.Object b)

      Description copied from class: `PriorityQueue`
      Determines the ordering of objects in this priority queue. Subclasses must define this one method.
      Specified by:
        `lessThan` in class `PriorityQueue`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.